# Generated by Django 4.1 on 2022-08-21 16:00

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone', models.CharField(max_length=11, unique=True, validators=[django.core.validators.RegexValidator(regex='7\\d{10}')])),
                ('code', models.CharField(max_length=3)),
                ('tag', models.CharField(max_length=50)),
                ('timezone', models.CharField(default='UTC', max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='MailingList',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reach', models.CharField(max_length=50)),
                ('created', models.DateTimeField()),
                ('stop', models.DateTimeField()),
                ('text', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(max_length=32, null=True)),
                ('created', models.DateTimeField()),
                ('request', models.PositiveSmallIntegerField(null=True)),
                ('time_next_request', models.DateTimeField()),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mailing_service.client')),
                ('mailing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mailing_service.mailinglist')),
            ],
        ),
        migrations.AddConstraint(
            model_name='message',
            constraint=models.UniqueConstraint(fields=('client', 'mailing'), name='uniq_message'),
        ),
    ]
